<?php
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
function requirelogin()
{
	if(!isset($_SESSION['adminlogged_in']))
	{
		header("Location: ?");
	}
}

function safemysql($text)
{
        if(get_magic_quotes_gpc() == "1")
        {
                $text = mysql_escape_string($text);
        }
        return $text;
}

function cleanslashes($text)
{
        if(get_magic_quotes_gpc() == "1")
        {
                $text = stripcslashes($text);
                $text = stripslashes($text);
        }
        return $text;
}

function noBr($Text)
{
        $Text = nl2br($Text);
        $Text = ereg_replace("<br />", "", $Text);
        $Text = ereg_replace("\n", "", $Text);
        return $Text;
}


function frmt($Text)
{
        // Replace any html brackets with HTML Entities to prevent executing HTML or script
        // Don't use strip_tags here because it breaks [url] search by replacing & with amp
	$Text = str_replace("<", "&lt;", $Text);
        $Text = str_replace(">", "&gt;", $Text);

        // Convert new line chars to html <br /> tags
        $Text = nl2br($Text);

        // Set up the parameters for a URL search string
        $URLSearchString = " a-zA-Z0-9+%\:\/\-\?\&\.\=\_\~\#\'";
        // Set up the parameters for a MAIL search string
        $MAILSearchString = $URLSearchString . " a-zA-Z0-9\.@";

        // Perform URL Search
        $Text = preg_replace("/\[url\]([$URLSearchString]*)\[\/url\]/", '<a href="$1">$1</a>', $Text);
        $Text = preg_replace("(\[url\=([$URLSearchString]*)\](.+?)\[/url\])", '<a href="$1">$2</a>', $Text);
        $Text = preg_replace("(\[url\=([$URLSearchString]*)\]([$URLSearchString]*)\[/url\])", '<a href="$1">$2</a>', $Text);

        // Perform MAIL Search
        $Text = preg_replace("(\[mail\]([$MAILSearchString]*)\[/mail\])", '<a href="mailto:$1">$1</a>', $Text);
        $Text = preg_replace("/\[mail\=([$MAILSearchString]*)\](.+?)\[\/mail\]/", '<a href="mailto:$1">$2</a>', $Text);
    
        // Check for bold text
        $Text = preg_replace("(\[b\](.+?)\[\/b])is",'<span class="bold">$1</span>',$Text);
        // Check for Italics text
        $Text = preg_replace("(\[i\](.+?)\[\/i\])is",'<span class="italics">$1</span>',$Text);
        // Check for Underline text
        $Text = preg_replace("(\[u\](.+?)\[\/u\])is",'<span class="underline">$1</span>',$Text);

        // Check for strike-through text
        $Text = preg_replace("(\[s\](.+?)\[\/s\])is",'<span class="strikethrough">$1</span>',$Text);
        // Check for over-line text
        $Text = preg_replace("(\[o\](.+?)\[\/o\])is",'<span class="overline">$1</span>',$Text);

        // Check for colored text
        $Text = preg_replace("(\[color=(.+?)\](.+?)\[\/color\])is","<span style=\"color: $1\">$2</span>",$Text);

        // Check for sized text
        $Text = preg_replace("(\[size=(.+?)\](.+?)\[\/size\])is","<span style=\"font-size: $1px\">$2</span>",$Text);

        // Check for list text
        $Text = preg_replace("/\[list\](.+?)\[\/list\]/is", '<ul class="listbullet">$1</ul>' ,$Text);
        $Text = preg_replace("/\[list=1\](.+?)\[\/list\]/is", '<ul class="listdecimal">$1</ul>' ,$Text);
        $Text = preg_replace("/\[list=i\](.+?)\[\/list\]/s", '<ul class="listlowerroman">$1</ul>' ,$Text);
        $Text = preg_replace("/\[list=I\](.+?)\[\/list\]/s", '<ul class="listupperroman">$1</ul>' ,$Text);
        $Text = preg_replace("/\[list=a\](.+?)\[\/list\]/s", '<ul class="listloweralpha">$1</ul>' ,$Text);
        $Text = preg_replace("/\[list=A\](.+?)\[\/list\]/s", '<ul class="listupperalpha">$1</ul>' ,$Text);
        $Text = str_replace("[*]", "<li>", $Text);
	$Text = str_replace("[/*]","</li>", $Text);
        // Check for font change text
        $Text = preg_replace("(\[font=(.+?)\](.+?)\[\/font\])","<span style=\"font-family: $1;\">$2</span>",$Text);
        $Text = str_replace("[code]", "<div class=\"codeheader\"><span class=\"codeheader\">Code:</span><div><span class=\"codebody\">", $Text);
        $Text = str_replace("[/code]", "</span></div></div>", $Text);
    $Text = str_replace("[quote]", "<div class=\"quoteheader\"><span class=\"quoteheader\">Quote:</span><div><span class=\"quotebody\">", $Text);
    $Text = str_replace("[/quote]", "</span></div></div>", $Text);            
// $Text = preg_replace("/\[quote\](.*)\[\/quote\]/s","<div class=\"quoteheader\"><span class=\"quoteheader\">Quote:</span><div><span class=\"quotebody\">$1</span></div></div>",$Text); 
 $Text = str_replace("[p]", "<p>", $Text);  
 $Text = str_replace("[/p]", "</p>", $Text);  
 $Text = str_replace("[hr]", "<hr />", $Text);  
 $Text = str_replace("[h1]", "<h1>", $Text);
 $Text = str_replace("[/h1]", "</h1>", $Text);
 $Text = str_replace("[h2]", "<h2>", $Text);
 $Text = str_replace("[/h2]", "</h2>", $Text);
 $Text = str_replace("[h3]", "<h3>", $Text);
 $Text = str_replace("[/h3]", "</h3>", $Text);
        // Images
        $Text = preg_replace("/\[img\](.+?)\[\/img\]/", '<img src="$1">', $Text);
            
        // [img=widthxheight]image source[/img]
        $Text = preg_replace("/\[img\=([0-9]*)x([0-9]*)\](.+?)\[\/img\]/", '<img src="$3" height="$2" width="$1">', $Text);
    
	$Text = str_replace("&ndash;", "&#8211;",$Text);
	$Text = str_replace("&nbsp;", "&#x160;",$Text);
        return(insertSmilies($Text));
}

function insertSmilies($Text) 
{ 
	$siteurl = $_SESSION['bliki_settings']['siteurl']."includes/";
                $Text = str_replace(strtolower(":augh:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/augh.gif'>",$Text); 
                $Text = str_replace(":D","<img src='$siteurl" . "smilies/" . $smilies_dir ."/bigsmile.gif'>",$Text); 
                $Text = str_replace(strtolower(":blink:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/blink.gif'>",$Text); 
                $Text = str_replace(strtolower(":cool:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/cool.gif'>",$Text); 
                $Text = str_replace(strtolower(":disgust:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/disgusted.gif'>",$Text); 
                $Text = str_replace(strtolower(":eek:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/eek.gif'>",$Text); 
                $Text = str_replace(strtolower("0_0"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/eek.gif'>",$Text); 
                $Text = str_replace(strtolower(":evil:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/evil.gif'>",$Text); 
                $Text = str_replace(strtolower(":eyebrow:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/eyebrow.gif'>",$Text); 
                $Text = str_replace(strtolower(":huh:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/huh.gif'>",$Text); 
                $Text = str_replace(strtolower(":kawaii:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/kawaii.gif'>",$Text); 
                $Text = str_replace(strtolower(":laughing:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/laughing.gif'>",$Text); 
                $Text = str_replace(strtolower(":lol:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/laughing.gif'>",$Text); 
                $Text = str_replace(strtolower(":nod:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/nod.gif'>",$Text); 
                $Text = str_replace(":-/","<img src='$siteurl" . "smilies/" . $smilies_dir ."/ohwell.gif'>",$Text); 
                $Text = str_replace(":\\","<img src='$siteurl" . "smilies/" . $smilies_dir ."/ohwell.gif'>",$Text); 
                $Text = str_replace(strtolower(":("),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/sad.gif'>",$Text); 
                $Text = str_replace(strtolower(":-("),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/sad.gif'>",$Text); 
                $Text = str_replace(strtolower(":shakeno:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/shakeno.gif'>",$Text); 
                $Text = str_replace(":P","<img src='$siteurl" . "smilies/" . $smilies_dir ."/smalltongue.gif'>",$Text); 
                $Text = str_replace(":-P","<img src='$siteurl" . "smilies/" . $smilies_dir ."/smalltongue.gif'>",$Text); 
                $Text = str_replace(strtolower(":)"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/smile.gif'>",$Text); 
                $Text = str_replace(strtolower(":-)"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/smile.gif'>",$Text); 
                $Text = str_replace(strtolower(":sweat:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/sweat.gif'>",$Text); 
                $Text = str_replace(strtolower("-_-;"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/sweat.gif'>",$Text); 
                $Text = str_replace(strtolower(":?"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/ticked.gif'>",$Text); 
        $Text = str_replace(strtolower(":disgruntled:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/ticked.gif'>",$Text); 
                $Text = str_replace(strtolower(";)"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/wink.gif'>",$Text); 
                $Text = str_replace(strtolower(":wtf:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/wtf.gif'>",$Text); 
                $Text = str_replace(strtolower("o_0"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/wtf.gif'>",$Text); 
                $Text = str_replace(strtolower("0_o"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/wtf.gif'>",$Text); 
                $Text = str_replace(strtolower(":yeah:"),"<img src='$siteurl" . "smilies/" . $smilies_dir ."/yeah.gif'>",$Text); 
    return $Text; 
}

function smilies() 
{ 
	$siteurl = $_SESSION['bliki_settings']['siteurl']."includes/";
	        ?> 
                <div id="body"> 
                <strong>Smilies Help</strong><br> 
                <label for="augh"></label><strong>:augh:</strong></label><img src="<?=$siteurl?>smilies/augh.gif" id="augh">&nbsp;&nbsp; 
                <label for="bigsmile"></label></label><strong>:D</strong></label><img src="<?=$siteurl?>smilies/bigsmile.gif" id="bigsmil 
e">&nbsp;&nbsp; 
                <label for="blink"></label><strong>:blink:</strong></label><img src="<?=$siteurl?>smilies/blink.gif" id="blink">&nbsp;&nbsp; 
                <label for="cool"></label><strong>:cool:</strong></label><img src="<?=$siteurl?>smilies/cool.gif" id="cool">&nbsp;&nbsp; 
 
                <label for="disgusted"></label><strong>:disgust:</strong></label><img src="<?=$siteurl?>smilies/disgusted.gif" id="disgus 
ted">&nbsp;&nbsp; 
                <label for="eek"></label><strong>:eek: or 0_0</strong></label><img src="<?=$siteurl?>smilies/eek.gif" id="eek">&nbsp;&nbsp; 
                <label for="evil"></label><strong>:evil:</strong></label><img src="<?=$siteurl?>smilies/evil.gif" id="evil">&nbsp;&nbsp; 
                <label for="eyebrow"></label><strong>:eyebrow:</strong></label><img src="<?=$siteurl?>smilies/eyebrow.gif" id="eyebrow">&nbsp;&nbsp; 
                <label for="huh"></label><strong>:huh:</strong></label><img src="<?=$siteurl?>smilies/huh.gif" id="huh">&nbsp;&nbsp; 
                <label for="kawaii"></label><strong>:kawaii:</strong></label><img src="<?=$siteurl?>smilies/kawaii.gif" id="kawaii">&nbsp;&nbsp; 
                <label for="laughing"></label><strong>:laughing:</strong></label><img src="<?=$siteurl?>smilies/laughing.gif" id="laughin
g">&nbsp;&nbsp; 
                <label for="nod"></label><strong>:nod:</strong></label><img src="<?=$siteurl?>smilies/nod.gif" id="nod">&nbsp;&nbsp; 
                <label for="ohwell"></label><strong>:-/ or :\</strong></label><img src="<?=$siteurl?>smilies/ohwell.gif" id="ohwell">&nbsp;&nbsp; 
                <label for="sad"></label><strong>:-( or :(</strong></label><img src="<?=$siteurl?>smilies/sad.gif" id="sad">&nbsp;&nbsp; 
                <label for="shakeno"></label><strong>:shakeno:</strong></label><img src="<?=$siteurl?>smilies/shakeno.gif" id="shakeno">&nbsp;&nbsp; 
                <label for="smalltongue"></label><strong>:P or :-P</strong></label><img src="<?=$siteurl?>smilies/smalltongue.gif" id="sm 
alltongue">&nbsp;&nbsp; 
                <label for="smile"></label><strong>:) or :-)</strong></label><img src="<?=$siteurl?>smilies/smile.gif" id="smile">&nbsp;&nbsp; 
                <label for="sweat"></label><strong>:sweat: or -_-;</strong></label><img src="<?=$siteurl?>smilies/sweat.gif" id="sweat">&nbsp;&nbsp; 
                <label for="ticked"></label><strong>:disgruntled: or :?</strong></label><img src="<?=$siteurl?>smilies/ticked.gif" id="ti
cked">&nbsp;&nbsp; 
                <label for="wink"></label><strong>;)</strong></label><img src="<?=$siteurl?>smilies/wink.gif" id="wink">&nbsp;&nbsp; 
                <label for="wtf"></label><strong>:wtf: or o_0 or 0_o</strong></label><img src="<?=$siteurl?>smilies/wtf.gif" id="wtf">&nbsp;&nbsp; 
                <label for="yeah"></label><strong>:yeah:</strong></label><img src="<?=$siteurl?>smilies/yeah.gif" id="yeah">&nbsp;&nbsp; 
                </div> 
                <? 
} 

/*
Search the text for keywords. 
*/
function replaceDefs($text)
{
	$siteurl = $_SESSION['bliki_settings']['siteurl'];
	$text = preg_replace("/{{(.+?)}}/", "<a href=\"$siteurl?zone=define&term=$1\">$1</a>", $text);	
	return($text);
}

function modifyDefs($text)
{
	$siteurl = "";
	$prc = "/<a\\s?.*?>(.*?)<\/a>/";
	$text = preg_replace($prc,"{{\$1}}",$text);
	return($text);
}


function insertDefs($text)
{
	updateDefs();
	preg_match_all("/{{(.+?)}}/", $text, $found);
	$text = preg_replace("/{{(.+?)}}/", "$1", $text);
	$defs = $found[1];
	$terms = $_SESSION['bliki_definitions'];
	foreach($defs as $term)
	{
		if(!in_array($term, $terms))
		{
			$query = "INSERT INTO bliki_definitions values('$term', '', '', '', 1)";
			mysql_query($query);
			updateDefs();
		}
	}
	return($text);
}

function instantDefs($text)
{
	updateDefs();
	$defs = $_SESSION['bliki_definitions'];
	$idArray = array();
	$urlArray = array();
	$a = array();
	preg_match("/<a href=\"(.*)\">(.*)<\/a>/i",$text,$a);
	foreach($a as $b)
	{
		if(preg_match("/<a\\s?.*?>(.*?)<\/a>/",$b) == 1 && preg_match("/((http|ftp)+(s)?:(\/\/)([\w]+(.[\w]+))([\w\-\.,@?^=%&:;\/~\+#]*[\w\-\@?^=%&:;\/~\+#])?)/i",$b) == 1)
		{
			$text = tokenize_term($text,$b,&$urlArray);
		}
	}
//	echo($text);exit;	
	foreach($defs as $term)
        {
		$text = tokenize_term($text,$term,&$idArray);
	}
	foreach($idArray as $key=>$value)
	{
		$replace = "<a href=\"?zone=define&term=$value\">$value</a>";
		$text = str_replace('<!'.$key.'!>',$replace,$text);
	}
	foreach($urlArray as $key=>$value)
	{
		$text = str_replace('<!'.$key.'!>',$value,$text);
	}
//print_r($idArray);exit;
        return($text);

}

function updateDefs()
{
        $query = "SELECT keyword FROM bliki_definitions order by(keyword) desc";
        $result = mysql_query($query);
        while($fetch = mysql_fetch_assoc($result))
        {
        	$data[] = $fetch;
        }
        foreach($data as $term)
        {
                $defs[] = $term['keyword'];
        }
//	print_r($defs);
	usort($defs,"stringlen");
//	print_r($defs);exit;
	//$defs = array_reverse($defs);
	$cats = array('a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z');
	$defcategories = array();
	foreach($cats as $cat)
	{
		$temp = array();
		foreach($defs as $def)
		{
			if(strtolower($def[0]) == $cat)
			{
				$temp[] = $def;
			}
			natcasesort($temp);
		}
		$defcategories[$cat] = $temp;
	}
	$_SESSION['bliki_defcategories'] = $defcategories;
	$_SESSION['bliki_definitions'] = $defs;
	$_SESSION['lastdefsupdate'] = mktime();
}

function stringlen($def1, $def2)
{
	return(strlen($def1) < strlen($def2));
}

function tokenize_term($text, $term, &$xArray)
{
	$termMD5 = md5($term);
	$text = preg_replace('!'.preg_quote($term).'!', '<!'.$termMD5.'!>', $text);
	$xArray[$termMD5] = $term;
	return($text);
}


//Shorten posted text for use a a description
function describe($text)
{
	global $max_description;
	$text = substr($text,0,$max_description);;
	$text = substr($text,0,strrpos($text, " "));
	$text .= "...";
	return($text);
}

function updateStats($zone)
{
	$dtime = date("m/d/Y H:i:s");
	$ip = $_SERVER['REMOTE_ADDR'];
	$page = $zone;
	$referrer = $_SERVER['HTTP_REFERER'];
	$output = "<hr>\n" .
		  "<strong>Time:</strong> $dtime<br/>\n" .
		  "<strong>IP:</strong> $ip<br/>\n" .
		  "<strong>Page:</strong> $page<br/>\n" .
		  "<strong>Referer:</strong> <a href=\"$referrer\">$referrer</a><br/>\n";
	
	$fp = fopen("logs/pages/$page.log","a+");
	chmod("logs/pages/$page.log", 0755);
	fwrite($fp, $output);
	fclose($fp);
	if(!is_file("logs/counts.log"))
	{
		$fp= fopen("logs/counts.log","w");
		chmod("logs/counts.log", 0755);
		$output = "$page=1\n";
		fwrite($fp, $output);
		fclose($fp);
	}
	else
	{
		$fp = fopen("logs/counts.log","r");
		$temp = fread($fp,filesize("logs/counts.log"));
		$counts = split("\n",$temp,-1);
		$ncounts = array();
		foreach($counts as $count)
		{
			$temp = preg_split("/[=]/", $count);	
			$current = $temp[0];
			$mcount = $temp[1];
			settype($mcount,"integer");
			if($current == $page)
			{
				$mcount++;
			}
			if(strlen($current) > 0)
			{
				$ncounts[$current] = "$current=$mcount\n";
			}
		}
		if(!isset($ncounts[$page]))
		{
			$mcount = 1;
			$ncounts[$page] = "$page=$mcount\n";
		}
		$fp = fopen("logs/counts.log","w");
		foreach($ncounts as $ccount)
		{
			fwrite($fp,$ccount);
		}
		fclose($fp); 
	}	
}

function viewX($field,$table,$where,$order,$limit)
{
	if($field == "")
	{
		$field = "*";
	}

	if($where != "")
	{
		$where = "WHERE $where";
	}
	if($order != "")
	{
		$order = "ORDER BY $order";
	}
	if($limit != "")
	{
		$limit = "LIMIT $limit";
	}
	$query = "SELECT $field FROM $table $where $order $limit";
	$result = mysql_query($query);
	if(mysql_num_rows($result) == 0 || strlen(mysql_error()) > 0)
	{
		return(-1);
	}
	else
	{
		while($fetch = mysql_fetch_assoc($result))
		{
			$data[] = $fetch;
		}
		$results = $data;
		
		return($match);
	}
}

function updateMain()
{
	$title = $_SESSION['bliki_settings']['title'];
	$desc = $_SESSION['bliki_settings']['description'];
        $query = "SELECT title,id,lastmod,description FROM bliki_blikis ORDER BY id DESC";
        $result = mysql_query($query);
	$fp = fopen("archive/index.html","w");
	$header = "<h1>$title</h1>\n<h3>$desc</h3>\n";
	fwrite($fp,$header);
        if(mysql_num_rows($result) > 1)
        {
                while($fetch =  mysql_fetch_assoc($result))
                {
                        $data[] = $fetch;
                }
 		foreach($data as $headline)
        	{
                	foreach($headline as $key=>$value)
	                {
        	                $$key = cleanslashes($value);
                	}
        	        $output = "<a href=\"?zone=view&id=$id\">$title</a>&ndash;&ndash;$description<br />\n";
			fwrite($fp,$output);
		}
		fclose($fp);
	}
	updateRss();
}

function updateRss()
{
	$siteurl = $_SESSION['bliki_settings']['siteurl'];
        $title = $_SESSION['bliki_settings']['title'];
        $desc = $_SESSION['bliki_settings']['description'];
        $query = "SELECT title,id,lastmod,description,category,catname FROM bliki_blikis ORDER BY id DESC";
        $result = mysql_query($query);
        $fp = fopen("feeds/index.xml","w");
        $header = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n" .
		"<rss version=\"2.0\">\n" .
		"<channel>\n" .
		"<title>$title</title>\n" .
		"<description>$desc</description>\n" .
		"<link>$siteurl</link>\n";
        fwrite($fp,$header);
        if(mysql_num_rows($result) > 1)
        {
                while($fetch =  mysql_fetch_assoc($result))
                {
                        $data[] = $fetch;
                }
		$x = 0;
	        foreach($data as $headline)
                {
			if($x < 5)
			{
                       		foreach($headline as $key=>$value)
	                        {
        	                        $$key = cleanslashes($value);
	                        }
        	                $output = "<item>\n" . 
					"<title>$title</title>\n" .
					"<category domain=\"$siteurl"."?zone=categories&amp;id=$category\">$catname</category>\n" .
					"<description>$description</description>\n" .
					"<link>$siteurl?zone=view&amp;id=$id</link>\n" .
					"</item>\n";
                        	fwrite($fp,$output);
				$x++;
	                }
			else
			{
				break;
			}
		}
			$output = "</channel>\n" .
				"</rss>\n";
			fwrite($fp,$output);
	                fclose($fp);
	}
}

function updateSettings()
{
	$query = "SELECT * FROM bliki_settings";
	$result = mysql_query($query);
	while($fetch = mysql_fetch_assoc($result))
	{
		$data = $fetch;
	}
	$_SESSION['bliki_settings'] = $data;
}

?>
